// @ts-check
// Cynhyrchwyd y ffeil hon yn awtomatig. PEIDIWCH Â MODIWL
// This file is automatically generated. DO NOT EDIT
const go = {
  "main": {
    "App": {
      /**
       * MoveNote
       * @param {string} arg1 - Go Type: string
       * @param {string} arg2 - Go Type: string
       * @returns {Promise<Error>}  - Go Type: error
       */
      "MoveNote": (arg1, arg2) => {
        return window.go.main.App.MoveNote(arg1, arg2);
      },
      /**
       * NoteList
       * @returns {Promise<Array<models.Note>>}  - Go Type: []main.Note
       */
      "NoteList": () => {
        return window.go.main.App.NoteList();
      },
      /**
       * ReadNote
       * @param {string} arg1 - Go Type: string
       * @returns {Promise<models.Note|Error>}  - Go Type: main.Note
       */
      "ReadNote": (arg1) => {
        return window.go.main.App.ReadNote(arg1);
      },
      /**
       * RemoveNote
       * @param {string} arg1 - Go Type: string
       * @returns {Promise<Error>}  - Go Type: error
       */
      "RemoveNote": (arg1) => {
        return window.go.main.App.RemoveNote(arg1);
      },
      /**
       * RenderMarkdown
       * @param {string} arg1 - Go Type: string
       * @returns {Promise<string>}  - Go Type: string
       */
      "RenderMarkdown": (arg1) => {
        return window.go.main.App.RenderMarkdown(arg1);
      },
      /**
       * StoreNote
       * @param {models.Note} arg1 - Go Type: main.Note
       * @returns {Promise<Error>}  - Go Type: error
       */
      "StoreNote": (arg1) => {
        return window.go.main.App.StoreNote(arg1);
      },
    },
  },

};
export default go;
